% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/model_TD.R
\name{TD}
\alias{TD}
\title{Model: TD}
\usage{
TD(params)
}
\arguments{
\item{params}{[vector] algorithm packages accept only one argument}
}
\value{
[numeric] algorithm packages accept only one return
}
\description{
\deqn{V_{new} = V_{old} + \eta \cdot (R - V_{old})}
}
\examples{
\dontrun{
TD <- function(params){

  res <- binaryRL::run_m(
    data = data,
    id = id,
    eta = c(params[1]),
    tau = c(params[2]),
    n_params = n_params,
    n_trials = n_trials,
    mode = mode
  )

  assign(x = "binaryRL.res", value = res, envir = binaryRL.env)

  switch(mode, "fit" = -res$ll, "simulate" = res, "replay" = res)
}
}
}
